import React from 'react';
import Header from '../components/layout/Header';
import Footer from '../components/layout/Footer';
import { useList } from '../contexts/ListContext';

export default function MyListPage() {
  const { listItems, isLoading, removeFromList } = useList();

  return (
    <div className="min-h-screen flex flex-col">
      <Header />
      <main className="flex-grow container mx-auto px-4 py-8">
        <h1 className="text-3xl font-bold mb-6">My List</h1>
        {isLoading ? (
          <div className="flex justify-center p-8">Loading...</div>
        ) : (
          <div className="grid grid-cols-1 md:grid-cols-3 gap-8">
            {listItems.map((item) => (
              <div key={item.id} className="bg-white p-8 rounded-lg shadow-md">
                <h3 className="text-2xl font-bold mb-4">{item.service.name}</h3>
                <p className="text-gray-600">{item.service.description}</p>
                <button
                  onClick={() => removeFromList(item.id)}
                  className="mt-4 bg-red-500 text-white px-4 py-2 rounded-md hover:bg-red-600"
                >
                  Remove
                </button>
              </div>
            ))}
          </div>
        )}
      </main>
      <Footer />
    </div>
  );
}
